Skip to main content
POST
/
api
/
v2
/
trigger
/
order
POST /api/v2/trigger/order — Create a trigger order
curl --request POST \
  --url https://api.shuriken.trade/api/v2/trigger/order \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "amount": "<string>",
  "chain": "<string>",
  "inputToken": "<string>",
  "outputToken": "<string>",
  "triggerDirection": "<string>",
  "triggerMetric": "<string>",
  "walletId": "<string>",
  "expiryHours": 1,
  "slippageBps": 123,
  "trailingPercentage": 123,
  "triggerBehavior": "<string>",
  "triggerValue": "<string>"
}
'
{
  "data": {
    "amount": "<string>",
    "chain": "<string>",
    "createdAt": "<string>",
    "inputToken": "<string>",
    "orderId": "<string>",
    "outputToken": "<string>",
    "status": "<string>",
    "trigger": {
      "direction": "<string>",
      "metric": "<string>",
      "trailingPercentage": 123,
      "value": "<string>"
    }
  },
  "requestId": "<string>",
  "pagination": {
    "hasMore": true,
    "limit": 1,
    "page": 1,
    "total": 1
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

POST /api/v2/trigger/order request body

amount
string
required

Amount in base units

chain
string
required

Chain: "solana", "base", "bsc", "monad"

inputToken
string
required

Token address to sell

outputToken
string
required

Token address to buy

triggerDirection
string
required

"above" or "below"

triggerMetric
string
required

"price_usd", "market_cap_usd", "liquidity_usd"

walletId
string
required

Shuriken wallet ID

expiryHours
integer<int32> | null

Expiry in hours (default: 24)

Required range: x >= 0
slippageBps
integer<int32> | null

Slippage in basis points (default: 1000 = 10%)

trailingPercentage
number<float> | null

Required for "trailing" behavior (0.01-99.0)

triggerBehavior
string | null

"immediate" (default) or "trailing"

triggerValue
string | null

Required for "immediate" behavior

Response

Order created

V2 success response envelope

data
object
required
requestId
string
required
pagination
object

Page-based pagination info